Package: groovy.console.ui.text

## [Java] Class StructuredSyntaxDocumentFilter.MultiLineRun

- groovy.console.ui.text.StructuredSyntaxDocumentFilter.MultiLineRun

-     protected class StructuredSyntaxDocumentFilter.MultiLineRun
      extends Object

  Tracks a multi-line styled region within the document.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `MultiLineRun(int start, int end)` Creates a multi-line run using a two-character delimiter.
    `MultiLineRun(int start, int end, int delimiterSize)` Creates a multi-line run with the supplied delimiter size.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public int` | `end()` Returns the inclusive end offset.
    `` | `public int` | `getDelimeterSize()` deprecated: use getDelimiterSize() instead
    `` | `public int` | `getDelimiterSize()` Returns the delimiter width used by this run.
    `` | `public int` | `length()` Returns the run length.
    `` | `public int` | `start()` Returns the inclusive start offset.
    `` | `public String` | `toString()` Returns a textual description of the run bounds.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public MultiLineRun(int start, int end)

      Creates a multi-line run using a two-character delimiter.

      throws:
        BadLocationException if either offset is invalid
      Parameters:
        `start` - the inclusive start offset
        `end` - the inclusive end offset

    - #### public MultiLineRun(int start, int end, int delimiterSize)

      Creates a multi-line run with the supplied delimiter size.

      throws:
        BadLocationException if either offset is invalid
      Parameters:
        `start` - the inclusive start offset
        `end` - the inclusive end offset
        `delimiterSize` - the delimiter width in characters

  - ### Method Detail

    - #### public int end()

      Returns the inclusive end offset.

      Returns:
        the end offset

    - #### @Deprecated
      public int getDelimeterSize()

      deprecated:
        use getDelimiterSize() instead

    - #### public int getDelimiterSize()

      Returns the delimiter width used by this run.

      Returns:
        the delimiter size in characters

    - #### public int length()

      Returns the run length.

      Returns:
        the number of characters in the run

    - #### public int start()

      Returns the inclusive start offset.

      Returns:
        the start offset

    - #### public String toString()

      Returns a textual description of the run bounds.

      Returns:
        the start and end positions